Bug 5526 (int-152857)

Summary: Type-to-find behaviour is inconsistent and suboptimal in browser
Product: [Maemo Official Applications] Browser Reporter: Ryan Abel <rabelg5>
Component: User interfaceAssignee: Nagineni Sudarsana Babu <naginenis>
Status: REOPENED QA Contact: browser-bugs
Severity: minor    
Priority: Low CC: andre_klapper, jukey, xrcalvar
Version: 5.0/(2.2009.51-1)   
Target Milestone: ---   
Hardware: All   
OS: Linux   
URL: https://bugs.maemo.org/query.cgi?format=advanced

Description Ryan Abel (reporter) maemo.org 2009-10-17 06:56:36 UTC
SOFTWARE VERSION:
1.2009.41-10

STEPS TO REPRODUCE THE PROBLEM:

1. Open the browser.
2. Navigate to a page with long scrollable lists (Bugzilla is good)
e. Tap the list

EXPECTED OUTCOME:
A list that you can type-to-find in pops up WITHOUT a text entry field.

ACTUAL OUTCOME:
A list that you can type-to-find in (if the list is long enough) or a list you
can't type-to-find in.

REPRODUCIBILITY:
Always

OTHER COMMENTS:
This is probably a toolkit bug, but hopefully a browser person can look at it
anyay. The tpoolkit should really just allow for type-to-find when only one
list is displayed. Either Nautilus style with a box that appears as you start
typing or Finder.app style where no field appears.

User-Agent:       Mozilla/5.0 (X11; U; Linux armv7l; en-US; rv:1.9.2a1pre)
Gecko/20090928 Firefox/3.5 Maemo Browser 1.4.1.15 RX-51 N900
Comment 1 Andre Klapper maemo.org 2009-10-19 17:53:48 UTC
(In reply to comment #0)
> STEPS TO REPRODUCE THE PROBLEM:
> 1. Open the browser.
> 2. Navigate to a page with long scrollable lists (Bugzilla is good)
> e. Tap the list

Took me a long time to realize that you talk about query.cgi and not
buglist.cgi. Exacter steps are highly welcome next time.

So we talk about getting the "Select items" chooser sometimes with a "enter
text here" field on top and sometimes not, while other interfaces don't have a
text field and just provide type-ahead (e.g. addressbook).

This is a toolkit bug - same issue as with setting the country and service
provider in the Email application or setting the country and language when
starting the device for the first time.

Moving to hildon-widgets.
Comment 2 Xabier Rodríguez Calvar 2010-01-27 18:47:41 UTC
Now HildonTouchSelector has live search so there is no need of using
HildonTouchSelector for combos that are not combo box entries, so moving to
browser.
Comment 3 timeless 2010-01-27 20:25:53 UTC
Xabier Rodríguez Calvar: is there a url documenting this? and did you fork off
a bug for the mail item mentioned by Andre or are you expecting him to do it?
Comment 4 Xabier Rodríguez Calvar 2010-01-28 10:28:01 UTC
(In reply to comment #3)
> Xabier Rodríguez Calvar: is there a url documenting this?

The only one I can give you is gitorious hildon development
http://maemo.gitorious.org/hildon/hildon

> and did you fork off
> a bug for the mail item mentioned by Andre or are you expecting him to do it?

No, sorry, I forgot. I will do it right now.
Comment 5 Nagineni Sudarsana Babu nokia 2010-01-28 12:33:38 UTC
Fixed in int-152857 at 2010-01-20.
Comment 6 Andre Klapper maemo.org 2010-03-15 20:51:07 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 7 Andre Klapper maemo.org 2010-06-09 15:23:22 UTC
This is not totally fixed yet.
Reopening as per 10535.
Comment 8 Andre Klapper maemo.org 2010-06-09 15:23:38 UTC
*** Bug 10535 has been marked as a duplicate of this bug. ***